Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
export_yahoo.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $SiteURL = $ini->variable( "site", "UserSiteURL" )
| $wwwDir = $ini->variable( "site", "UserSiteURL" )
| $PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" ) == "enabled" ? true : false
| $MainImageWidth = $ini->variable( "eZTradeMain", "MainImageWidth" )
| $MainImageHeight = $ini->variable( "eZTradeMain", "MainImageHeight" )
| $SitePath = $ini->variable( "site", "SitePath" )
| $YahooServer ="hedwig.google.com"
| $YahooUser ="fullthrottle"
| $YahooKey ="key"
| $YahooServerPort ="21"
if( $Action=="export") elseif( $Action=="export-cron") | else
| $product = new eZProduct()
| $productList = $product->activeProducts( "time", 0, "" )
| $feed = "code\t product-url\t name\t price\t merchant-category\t description\t image-url\n"
| $replace
| $search
foreach($productList as $product) | $file = new eZFile()
| $fileName = $file->tmpName()
| $fileSize = filesize( $fileName )
| $fp = fopen( $fileName, "r" )
| $content =& fread( $fp, $fileSize )
| $date = new eZDateTime()
| $month = $date->month()
| $day = $date->day()
| $year = $date->year()
| $hour = $date->addZero($date->hour())
| $minute = $date->addZero($date->minute())

## Variable Documentation

## ◆ $content

$content =& fread( $fp, $fileSize )

Definition at line 350 of file export_yahoo.php.

## ◆ $date

$date = new eZDateTime()

Definition at line 410 of file export_yahoo.php.

## ◆ $day

$day = $date->day()

Definition at line 412 of file export_yahoo.php.

## ◆ $feed

$feed = "code\t product-url\t name\t price\t merchant-category\t description\t image-url\n"

Definition at line 101 of file export_yahoo.php.

## ◆ $file

foreach ( $productList as $product) $file = new eZFile()

Definition at line 338 of file export_yahoo.php.

## ◆ $fileName

$fileName = $file->tmpName()

Definition at line 341 of file export_yahoo.php.

## ◆ $fileSize

$fileSize = filesize( $fileName )

Definition at line 342 of file export_yahoo.php.

## ◆ $fp

$fp = fopen( $fileName, "r" )

Definition at line 349 of file export_yahoo.php.

## ◆ $hour

$hour = $date->addZero($date->hour())

Definition at line 414 of file export_yahoo.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 47 of file export_yahoo.php.

## ◆ $MainImageHeight

$MainImageHeight = $ini->variable( "eZTradeMain", "MainImageHeight" )

Definition at line 53 of file export_yahoo.php.

## ◆ $MainImageWidth

$MainImageWidth = $ini->variable( "eZTradeMain", "MainImageWidth" )

Definition at line 52 of file export_yahoo.php.

## ◆ $minute

$minute = $date->addZero($date->minute())

Definition at line 415 of file export_yahoo.php.

## ◆ $month

$month = $date->month()

Definition at line 411 of file export_yahoo.php.

## ◆ $PricesIncludeVAT

$PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" ) == "enabled" ? true : false

Definition at line 51 of file export_yahoo.php.

## ◆ $product

$product = new eZProduct()

Definition at line 94 of file export_yahoo.php.

## ◆ $productList

$productList = $product->activeProducts( "time", 0, "" )

Definition at line 95 of file export_yahoo.php.

## ◆ $replace

$replace

Initial value:
= array ("",
"",
"&",
"<",
">",
" ",
chr(161),
chr(162),
chr(163),
chr(169),
"chr(\\1)")

Definition at line 146 of file export_yahoo.php.

## ◆ $search

$search

Initial value:
= array ("'<script[^>]*?>.*?</script>'si",
"'<[\/\!]*?[^<>]*?>'si",
"'([\r\n])[\s]+'",
"'\n'i",
"'\r\n'i",
"'\r'i",
"'&(quot|#34);'i",
"'&(amp|#38);'i",
"'&(lt|#60);'i",
"'&(gt|#62);'i",
"'&(nbsp|#160);'i",
"'&(iexcl|#161);'i",
"'&(cent|#162);'i",
"'&(pound|#163);'i",
"'&(copy|#169);'i",
"'&#(\d+);'e")

Definition at line 159 of file export_yahoo.php.

## ◆ $SitePath

$SitePath = $ini->variable( "site", "SitePath" )

Definition at line 54 of file export_yahoo.php.

## ◆ $SiteURL

$SiteURL = $ini->variable( "site", "UserSiteURL" )

Definition at line 49 of file export_yahoo.php.

## ◆ $wwwDir

$wwwDir = $ini->variable( "site", "UserSiteURL" )

Definition at line 50 of file export_yahoo.php.

## ◆ $YahooKey

$YahooKey ="key"

Definition at line 67 of file export_yahoo.php.

## ◆ $YahooServer

$YahooServer ="hedwig.google.com"

Definition at line 65 of file export_yahoo.php.

## ◆ $YahooServerPort

$YahooServerPort ="21"

Definition at line 70 of file export_yahoo.php.

## ◆ $YahooUser

$YahooUser ="fullthrottle"

Definition at line 66 of file export_yahoo.php.

## ◆ $year

$year = $date->year()

Definition at line 413 of file export_yahoo.php.

## ◆ else

if ($exportCSVFile) else

Initial value:
{
$exportCSVFile = false

Definition at line 79 of file export_yahoo.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.